Subject: Norwegian keyboard input method not implemented correctly

From: Tor Kringeland <[email-masked]>
Date: Wed, 29 Dec 2021 12:16:06 +0100

The Norwegian keyboard input method is not implemented correctly.  In
the source code (`lisp/leim/quail/latin-post.el') it is noted that the
implementation is based on the SUN keyboard layout.  This should be
(and correct me if I'm wrong) the one given here [1] (see also [2]).

Most of the characters are correct (importantly æøå which you can't
produce on a US keyboard), however there some inaccuracies.  For
example, the key to the left of Z should produce < but it produces ~
and with shift it should produce > but it produces ^.  Another example
is the key to the right of [ which produces é (and É with shift),
while [1] specifies that it should produce diacritics (I think it's ¨,
which is standard for the Norwegian keyboards I've seen, but the
resolution is quite low).  Note that the diacritics should be produced
as a prefix, so by /e.g./ entering e as the next character you'd get
ë.

- [1] https://docs.oracle.com/cd/E19683-01/806-6642/images/BR.norwegian.gif

- [2] https://docs.oracle.com/cd/E19683-01/806-6642/new-43/index.html